=== debian/control ===
Source: libdatrie
Priority: optional
Maintainer: Theppitak Karoonboonyanan <thep@linux.thai.net>
Build-Depends: dpkg-dev (>= 1.13.19), debhelper (>= 5), autotools-dev, doxygen
Standards-Version: 3.7.2.2
Section: libs

Package: libdatrie0-dev
Section: libdevel
Architecture: any
Depends: libdatrie0 (= ${binary:Version})
Suggests: libdatrie0-doc (= ${source:Version})
Provides: libdatrie-dev
Conflicts: libdatrie-dev
Description: Development files for double-array trie library
 Trie is a kind of digital search tree, an efficient indexing method with
 O(1) time complexity for searching. Comparably as efficient as hashing,
 trie also provides flexibility on incremental matching and key spelling
 manipulation. This makes it ideal for lexical analyzers, as well as
 spelling dictionaries.
 .
 This library is an implementation of double-array structure for representing 
 trie, as proposed by Junichi Aoe. The details of the implementation can be 
 found at http://linux.thai.net/~thep/datrie/datrie.html
 .
 This package contains the development libraries, header files and manpages
 you need to develop your programs using the datrie library.
 .
 Homepage: http://libthai.sourceforge.net/

Package: libdatrie-bin
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Programs for double-array trie library
 Trie is a kind of digital search tree, an efficient indexing method with
 O(1) time complexity for searching. Comparably as efficient as hashing,
 trie also provides flexibility on incremental matching and key spelling
 manipulation. This makes it ideal for lexical analyzers, as well as
 spelling dictionaries.
 .
 This library is an implementation of double-array structure for representing 
 trie, as proposed by Junichi Aoe. The details of the implementation can be 
 found at http://linux.thai.net/~thep/datrie/datrie.html
 .
 This package contains the program files which is used with the library,
 including trietool, the trie manipulation tool.
 .
 Homepage: http://libthai.sourceforge.net/

Package: libdatrie0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Double-array trie library
 Trie is a kind of digital search tree, an efficient indexing method with
 O(1) time complexity for searching. Comparably as efficient as hashing,
 trie also provides flexibility on incremental matching and key spelling
 manipulation. This makes it ideal for lexical analyzers, as well as
 spelling dictionaries.
 .
 This library is an implementation of double-array structure for representing 
 trie, as proposed by Junichi Aoe. The details of the implementation can be 
 found at http://linux.thai.net/~thep/datrie/datrie.html
 .
 This package contains the shared libraries needed to run programs that use
 the datrie library.
 .
 Homepage: http://libthai.sourceforge.net/

Package: libdatrie0-doc
Section: doc
Architecture: all
Depends: lynx | www-browser
Provides: libdatrie-doc
Conflicts: libdatrie-doc
Description: Documentation files for double-array trie library
 Trie is a kind of digital search tree, an efficient indexing method with
 O(1) time complexity for searching. Comparably as efficient as hashing,
 trie also provides flexibility on incremental matching and key spelling
 manipulation. This makes it ideal for lexical analyzers, as well as
 spelling dictionaries.
 .
 This library is an implementation of double-array structure for representing 
 trie, as proposed by Junichi Aoe. The details of the implementation can be 
 found at http://linux.thai.net/~thep/datrie/datrie.html
 .
 This package contains some documents about the datrie library.
 .
 Homepage: http://libthai.sourceforge.net/
